<?php
/**
 *	Adding support for the templates within the plugin.
 *
 *	@package		Builder Block Events
 *	@subpackage		Extras
 *	@author			Justin Kopepasah
 *	@since			1.0.0
 *
*/

if ( ! class_exists( 'BB_Events_Templates' ) ) {
	class BB_Events_Templates {
		
		function __construct() {
			add_filter( 'single_template', array( $this, 'single_template' ) );
			add_filter( 'archive_template', array( $this, 'archive_template' ) ) ;
		}
		
		function single_template( $single_template ) {
			global $post;
			
			if ( $post->post_type == 'it_bb_event' ) {
				if ( class_exists( 'pb_mobile' ) && 'builder' !== strtolower( get_template() ) ) {
					$single_template = dirname( dirname( __FILE__ ) ) . '/lib/mobile_templates/single.php';
				}
				else {
					$single_template = dirname( __FILE__ ) . '/single-it_bb_event.php';
				}
			}
			
			return $single_template;
		}
		
		function archive_template( $archive_template ) {
			global $post;
			
			if ( is_post_type_archive( 'it_bb_event' ) ) {
				if ( class_exists( 'pb_mobile' ) && 'builder' !== strtolower( get_template() ) ) {
					$archive_template = dirname( dirname( __FILE__ ) ) . '/lib/mobile_templates/archive.php';
				}
				else {
					$archive_template = dirname( __FILE__ ) . '/archive-it_bb_event.php';
				}
			}
			
			return $archive_template;
		}
		
	}
	
	new BB_Events_Templates();
}